### Virtual Method

# Gtk CellLayout add_attribute

deprecated: 4.10

#### Declaration [src]

    void
    add_attribute (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      const char* attribute,
      int column
    )

#### Description [src]

Adds an attribute mapping to the list in `cell_layout`.

The `column` is the column of the model to get a value from, and the `attribute` is the property on `cell` to be set from that value. So for example if column 2 of the model contains strings, you could have the “text” attribute of a `GtkCellRendererText` get its values from column 2. In this context “attribute” and “property” are used interchangeably.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`cell`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`.

  The data is owned by the caller of the method.

`attribute`

  Type: `const char*`

  A property on the renderer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`column`

  Type: `int`

  The column position on the model to get the attribute from.